Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.dsmediator.client
Interface StreamingDataService

public interface StreamingDataService

Interface for acquiring data service function results as a stream.

Method Summary
`void` | `closeStream()` Closes the stream.
`weblogic.xml.stream.XMLInputStream` | `invoke(java.lang.String method, java.lang.Object[] args)` Invokes the given function.
`void` | `writeOutputToFile(java.lang.String method, java.lang.Object[] args, java.lang.String fileName)` Writes the stream results to the specified file.

Method Detail

### invoke

    public weblogic.xml.stream.XMLInputStream invoke(java.lang.String method,
                                                     java.lang.Object[] args)
                                              throws StreamingException

  Invokes the given function. Returns data as an XMLInputStream, which can be accessed to extract data.

  Parameters:
    `method` - The data service method to be invoked.
    `args` - The arguments to the function.
  Returns:
    XMLInputStream
  Throws:
    `StreamingException`

### writeOutputToFile

    public void writeOutputToFile(java.lang.String method,
                                  java.lang.Object[] args,
                                  java.lang.String fileName)
                           throws StreamingException

  Writes the stream results to the specified file. The base of the file path is the domain root.

  Parameters:
    `method` - The method on DataService to be invoked
    `args` - The arguments to the function
    `fileName` - The file name
  Throws:
    `StreamingException`

### closeStream

    public void closeStream()
                     throws StreamingException

  Closes the stream. A stream must be explicitly closed when the client is finished using it. Not doing so may result in undesired effects.

  Throws:
    `StreamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems Inc. All Rights Reserved.